Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Category

All Superinterfaces:
  Document, Editable, EditableItem, Hierarchical, Item, Localized, WCMApiObject, WorkflowedDocument

    public interface Category

extends Editable, WorkflowedDocument, Hierarchical

Represents a `Category` in the repository.

The `Category` interface provides methods that aid in traversing a category tree.

To retrieve the immediate children of this `Category` object use `getChildren()`. To retrieve all the children (descendants) of this `Category` object use `getAllChildren()`.

Since:
  6.0, 7.0 extends Editable instead of Document

Method Summary
`DocumentIdIterator` | `getAllChildren()` Returns a depth first iterator over all child categories of this `Category`.
`DocumentIdIterator` | `getChildren()` Returns an iterator of `DocumentId` objects of the immediate child categories of this `Category` object.
`DocumentId` | `getParent()` Deprecated. Since 8.0, use `Hierarchical.getParentId()`

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Method Detail

### getChildren

    DocumentIdIterator getChildren()

  Returns an iterator of `DocumentId` objects of the immediate child categories of this `Category` object.

  The user must have Read access to the `Category` for it to be included in the returned iterator.

  Returns:
    an iterator of `DocumentId` objects of the immediate children of this `Category`; or an empty iterator if no immediate children are found

### getAllChildren

    DocumentIdIterator getAllChildren()

  Returns a depth first iterator over all child categories of this `Category`.

  For example, a Category Tree that looks like:

  >      MyCategory
  >         CategoryA
  >            CategoryA1
  >               CategoryA1-1
  >               CategoryA1-2
  >            CategoryA2
  >         CategoryB
  >            CategoryB1

  a call to `getAllChildren()` will return `DocumentId` objects for the child categories of MyCategory in this order:

  CategoryA, CategoryA1, CategoryA1-1, CategoryA1-2, CategoryA2, CategoryB, CategoryB1.

  The user must have Read access to the `Category` for it to be included in the returned iterator.

  Returns:
    an iterator of `DocumentId` objects of all the children of this the `Category`; or an empty iterator if no children are found

### getParent

    DocumentId getParent()

  Deprecated. Since 8.0, use `Hierarchical.getParentId()`

  Returns the `DocumentId` of the parent of this `Category` object.

  The `DocumentId` returned may be for a `Taxonomy` object or a `Category` object, depending on where this `Category` lies in the category tree.

  This method will return `null` if the user does not have access to the parent of this `Category`.

  Returns:
    the `DocumentId` of the parent of this `Category`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD